For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
Introduction

Changelog

July 28, 2025
July 28, 2025

New Email Conversations CC field

We have added a new optional field to the Email Conversations API:

  • cc: A comma-separated list of email addresses to be added as CC recipients to the Email conversation.

This field allows you to specify additional recipients that should be CC’d on the AI Agent’s email response.


July 6, 2025
July 6, 2025

May 7, 2025
May 7, 2025

May 6, 2025
May 6, 2025

April 14, 2025
April 14, 2025

March 11, 2025
March 11, 2025

February 26, 2025
February 26, 2025

November 25, 2024
November 25, 2024

November 14, 2024
November 14, 2024

October 9, 2024
October 9, 2024

Older posts

Next
Built with

Autocapture variables now included in the Data Export API

The Data Export API now returns autocapture variables within the variables attribute of each conversation object. Previously, this attribute contained only global variables.

This enhancement is available across all versions of the API and requires no configuration changes.

New End User profile fields

We have added two new optional fields to the End User profile object:

  • avatar: A URL to the end user’s avatar image
  • display_name: The end user’s display name

New chat window events in Embed2

We’ve added new events to the subscribeEvent action in Embed2 to help you better track user interactions within the chat window:

Event keyTriggerPayload
ada:minimize_chatTriggered when a user minimizes the chat window{ conversation_id: string, is_engaged: boolean }
ada:close_chatTriggered when a user closes the chat window{ conversation_id: string, is_engaged: boolean }

If you’re using the Embed2 script, these events are immediately available. For the NPM package, update to the latest version (1.9.0) to start using them.

BCP 47 support in article upserts

The language field on the article object in the upsert API now supports BCP 47 language tags (e.g., en-CA, fr-FR). The previously supported locale field is deprecated but still accepted for backwards compatibility if language is not provided.

API responses from GET /v2/knowledge/articles and GET /v2/knowledge/articles/{id} will continue to return locale, but it is no longer documented. In these responses, the language field contains the ISO 639-1 two-character language code, not the full BCP 47 tag.

This is part of a gradual migration. Eventually, locale will be removed from both persisted records and API responses, and language will consistently use BCP 47 tags across all endpoints.

New callback event in Embed2

We’ve added a new event to the subscribeEvent action in Embed2. With this event, you can receive a callback when an end user submits a CSAT. The event returns a numeric CSAT score:

Event keyTrigger
ada:csat_submittedTriggered when the full screen CSAT is submitted.

If you’re using the Embed2 script, these events are immediately available. For the NPM package, update it to the latest version (1.8.16) to start using them.

Validation added to reply_to field in Email Conversation API

Validation for the reply_to field in the Email Conversation API will be introduced in the coming weeks. Once implemented, requests with an invalid email address will fail with a validation error.

v2 API release

Ada is releasing a new version (v2) of our platform APIs. For detailed instructions on how to migrate your integrations, please see our Migration Guide.

In addition to an updated developer documentation site, we’re adding the following capabilities to our platform in this release:

API Endpoints Consolidation

Several legacy endpoints have been merged and restructured by resource and action. This makes integrations simpler and reduces redundancy. For example:

  • v1: https://example.ada.support/api/end-users/v1/
  • v2: https://example.ada.support/api/v2/end-users/

Streamlined API Tokens

A single API token now works across all endpoints. Previously, separate tokens were required per API. This change simplifies token management and authentication.

Uniform Response Structures

Responses (including error messages) are now standardized. This reduces the complexity of handling different response formats and improves overall consistency.

Standardized Pagination

Pagination parameters and response metadata are now consistent, enhancing the developer experience when handling large data sets.

Improved Rate & Data Limits

More transparent rate and data limit policies have been introduced. This ensures better reliability, prevents unexpected throttling, and makes it easier to plan request volumes.

Data Export API Updates

The Data Export API endpoints have been updated to follow the new v2 naming convention:

  • /api/data_api/v1.4/conversations → /api/v2/export/conversations
  • /api/data_api/v1.4/messages → /api/v2/export/messages

Backward-Incompatible Changes

Some v1 functionality has been deprecated or altered. Review your current integrations and ensure you’re using the appropriate v2 endpoints and parameters.

Embed2 security improvements

We’ve released some security improvements to Embed2.

  • If you’re using the Embed2 NPM package , upgrade it to version 1.7.27 or newer.
  • The Embed2 script is versionless and gets automatic updates, so if you’re using it, you can already access the upgrades.

setSensitiveMetaFields Embed2 Action now supported in Generative

Previously the setSensitiveMetaFields action in Embed2 action and sensitiveMetaFields setting were only supported in scripted bots, now it is supported in Generative AI Agents.